Skip to main content
GET
/
api
/
v1
/
description_entities
/
{id.resource_type}
/
{id.project}
/
{id.domain}
/
{id.name}
/
{id.version}
Fetch a :ref:`ref_flyteidl.admin.DescriptionEntity` object
curl --request GET \
  --url https://mycluster.domino.tech/api/v1/description_entities/{id.resource_type}/{id.project}/{id.domain}/{id.name}/{id.version}
{
  "id": {
    "resource_type": "UNSPECIFIED",
    "project": "<string>",
    "domain": "<string>",
    "name": "<string>",
    "version": "<string>",
    "org": "<string>"
  },
  "short_description": "<string>",
  "long_description": {
    "value": "<string>",
    "uri": "<string>",
    "format": "DESCRIPTION_FORMAT_UNKNOWN",
    "icon_link": "<string>"
  },
  "source_code": {
    "link": "<string>"
  },
  "tags": [
    "<string>"
  ]
}

Path Parameters

id.resource_type
enum<string>
required

Identifies the specific type of resource that this identifier corresponds to.

Available options:
UNSPECIFIED,
TASK,
WORKFLOW,
LAUNCH_PLAN,
DATASET
id.project
string
required

Name of the project the resource belongs to.

id.domain
string
required

Name of the domain the resource belongs to. A domain can be considered as a subset within a specific project.

id.name
string
required

User provided value for the resource.

id.version
string
required

Specific version of the resource.

Query Parameters

id.org
string

Optional, org key applied to the resource.

Response

A successful response.

DescriptionEntity contains detailed description for the task/workflow. Documentation could provide insight into the algorithms, business use case, etc.

id
object

Encapsulation of fields that uniquely identifies a Flyte resource.

short_description
string

One-liner overview of the entity.

long_description
object

Full user description with formatting preserved. This can be rendered by clients, such as the console or command line tools with in-tact formatting.

source_code
Link to source code used to define this entity · object
tags
string[]

User-specified tags. These are arbitrary and can be used for searching filtering and discovering tasks.